Bug 439903 - pygame 1.8 released
pygame 1.8 released
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pygame (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Stone
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 18:30 EDT by Rene Dudfield
Modified: 2008-05-22 13:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-22 13:20:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rene Dudfield 2008-03-31 18:30:37 EDT
Hello,

A new version of pygame 1.8 has been released.  Please update.

cheers,
Comment 1 Christopher Stone 2008-04-02 10:32:25 EDT
This has to wait until after F9 is released.
Comment 2 Rene Dudfield 2008-04-02 21:12:50 EDT
Hi,

is there anything the pygame team to do to help get pygame 1.8 into F9?

There are a significant amount of bug fixes in pygame 1.8 over pygame 1.7.1.


cheers,
Comment 3 Christopher Stone 2008-04-03 10:33:11 EDT
You would have to get approval from the Fedora Release Engineering Team
http://fedoraproject.org/wiki/ReleaseEngineering
Comment 4 Christopher Stone 2008-04-03 10:34:15 EDT
See also http://fedoraproject.org/wiki/ReleaseEngineering/FeatureFreezePolicy
Comment 5 Rene Dudfield 2008-04-03 19:08:09 EDT
ah, cool.  Thanks for the info Christopher.

I've emailed the release engineering email address to ask them if it's ok to
update it.


cheers,
Comment 6 Rene Dudfield 2008-04-03 20:12:31 EDT
Hello again,


this is what Jesse Keating from release engineering said:
"""Well, we're well beyond beta, the final development freeze is early next
week.  I'd feel a bit better if the things currently in Fedora were
tested with the new pygame just to make sure there are no regressions.
If that can be done in the next few days I would then approve putting
pygame into Fedora 9.  You could even do the build now, spend the next
few days ensuring the Fedora packages still work and we have the option
of reverting to the previous build if we need to at freeze time."""


I'll ask the pygame mailing list if there's anyone who can help out with the
testing of pygame on F9.

Does that sound possible Christopher?


cheers,
Comment 7 Christopher Stone 2008-04-04 09:07:48 EDT
These are the packages which currently require pygame which would need to be
tested.  My biggest concern is poker2d which I also maintain.

I currently run Fedora 8, and do not have any way to test F9.  I personally
would prefer to wait until after F9.

# repoquery --whatrequires pygame
magicor-0:1.1-0.1.rc1.fc8.noarch
keyjnote-0:0.10.1-2.fc8.noarch
bubbros-0:1.6-1.fc8.drb.x86_64
monsterz-0:0.7.1-3.fc8.x86_64
angrydd-0:1.0.1-3.fc8.noarch
poker2d-0:1.4.0-1.fc8.x86_64
childsplay-0:0.90-1.fc8.noarch
python-kaa-imlib2-0:0.2.2-1.fc8.x86_64
seahorse-adventures-0:1.0-2.fc8.noarch
solarwolf-0:1.5-2.fc8.noarch
slingshot-0:0.8.1p-1.fc8.noarch
Comment 8 Rene Dudfield 2008-04-18 03:01:11 EDT
Cool.  I haven't been able to get F9, or find anyone who could test F9.

So waiting until after F9 is released seems the way to go.

cu,
Comment 9 Bug Zapper 2008-05-14 04:29:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Marcos Martins da Silva 2008-05-21 20:49:56 EDT
At least monsterz (monsterz-0.7.1-3.fc9.x86_64) has a big problem: it does not
even start. Running from terminal I got the following output:
/usr/share/monsterz/monsterz.py:393: RuntimeWarning: use mixer: No module named
mixer
  self.have_sound = pygame.mixer.get_init()
/usr/share/monsterz/monsterz.py: could not open data from `/usr/share/monsterz'.
Traceback (most recent call last):
  File "/usr/share/monsterz/monsterz.py", line 1994, in <module>
    main()
  File "/usr/share/monsterz/monsterz.py", line 1983, in main
    data = Data(sharedir)
  File "/usr/share/monsterz/monsterz.py", line 280, in __init__
    tiles = pygame.image.load(join(dir, 'graphics', 'tiles.png')).convert_alpha()
pygame.error: File is not a Windows BMP file

So after I converted all the png files to bmp files it worked until I got the
same as discribed on BUGZILLA 447603

Note You need to log in before you can comment on or make changes to this bug.